#! /usr/bin/python2
# slowcat.py - print a file slowly
# author : dave w capella - http://grox.net/mailme
# date     : Sun Feb 10 21:57:42 PST 2008
############################################################
from __future__ import print_function
import sys, time

delay = .02

if len(sys.argv) > 1:
  arg = sys.argv[1]
  if arg != "-d":
    print("usage: %s [-d delay]" % (sys.argv[0]))
    print("delay: delay in seconds")
    print("example: %s -d .02 < vtfile" % (sys.argv[0]))
    sys.exit()
  if len(sys.argv) > 2:
    delay = float(sys.argv[2])

while 1:
  try:
    for c in raw_input():
        print(c, end="")
        sys.stdout.flush()
        time.sleep(delay)
    print()
  except:
    break

######################################################################
# eof: slowcat.py
